Subject: Re: bug#58606: Emacs next pgtk crashes when pasting to other app

From: Joshua Branson <[email-masked]>
Date: Thu, 20 Oct 2022 13:00:18 -0400

Andrew Tropin <[email-masked]> writes:

> Recently discovered a problem, which reproduces this way:
> - Open a new emacs instance.
> - Yank anything with M-w or select with mouse.
> - Paste yanked text to chromium/icecat.
>
> Both browser and emacs are hanging up for a while and after that Emacs
> crashes with:
>
> Fatal error 11: Segmentation fault
>
>
> sway, emacs-next-pgtk, ungoogled-chromium

I was unable to reproduce this bug.  I am also using sway.  Also thanks
for the tip about emacs-next-pgtk.  I didn't know that was packaged!

joshua@crazyhorse ~ (master)> guix describe
Generation 45	Oct 20 2022 12:44:46	(current)
  guix 00ff6f7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 00ff6f7c399670a76efffb91276dea2633cc130c
  guixrus 762841a
    repository URL: https://git.sr.ht/~whereiseveryone/guixrus
    branch: master
    commit: 762841aa3fc5140597dd09a8082cf2ad71539f66
  nonguix 2a368a2
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 2a368a20cc0bc9de566316978749f7bc7f021627

joshua@crazyhorse ~ (master)> guix system describe
Generation 27	Oct 13 2022 12:21:15	(current)
  file name: /var/guix/profiles/system-27-link
  canonical file name: /gnu/store/xjdqzg2np46c1ks0qwcyv77wgyf3p184-system
  label: GNU with Linux-Libre 5.19.14
  bootloader: grub
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/8s41d36dgb700p3g5jbgl5vy7wi7lbsw-linux-libre-5.19.14/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 56915dc275994336efd15199769d78ae295e2339
  configuration file: /gnu/store/rgw0i1qg29nq5jxk2mcpmvdigrwk4h3i-configuration.scm

>
> Generation 75	Oct 17 2022 15:54:07	(current)
>   rde 05225a3
>     repository URL: https://git.sr.ht/~abcdw/rde
>     branch: master
>     commit: 05225a3a20e2f3eba9ebaa3df4cdce3e8b0c33c1
>   guix 3ab1438
>     repository URL: file:///home/bob/work/gnu/guix
>     branch: master
>     commit: 3ab14386cd2a3fc4bacf2291ee585a0685aceb17